package tvouriot.jcode.gui;

import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;
import java.awt.*;

/** Bouton <I>Coder</I>.
 */
public final class ButtonCompresser extends JButton implements ActionListener {
    /** Fentre principale de l'application
     */    
    private FrmMain frame;
    
    /** Constructeur
     *  @param fr fentre principale de l'application
     */
    protected ButtonCompresser(FrmMain fr) {
        super();
        this.setIcon(new ImageIcon(this.getClass().getResource(Icones.CODE)));
        this.setToolTipText("Coder le texte");
        this.setMargin(new Insets(0,0,0,0));
        this.addActionListener(this);
        this.addMouseListener(new ButtonRollover(this));
        this.frame = fr;
    }
    
    /** Traitement lors du click sur le bouton
     * @param evt contexte de l'vnement
     */
    public void actionPerformed(final java.awt.event.ActionEvent evt) {
        frame.getPanelCompVirtuelle().coder();
    }
}