package tvouriot.jcode.gui;

import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;
import java.awt.*;

/** Bouton <I>Dcoder</I>.
 */
public final class ButtonDecompresser extends JButton implements ActionListener {
    /** Fentre principale de l'application
     */    
    private FrmMain frame;
    
    /** Constructeur
     *  @param fr fentre principale de l'application
     */
    protected ButtonDecompresser(FrmMain fr) {
        super();
        this.setIcon(new ImageIcon(this.getClass().getResource(Icones.DECODE)));
        this.setToolTipText("Dcoder le texte");
        this.addActionListener(this);
        this.addMouseListener(new ButtonRollover(this));
        this.setMargin(new Insets(0,0,0,0));
        this.frame = fr;
    }
    
    /** Traitement lors du click sur le bouton
     * @param evt contexte de l'vnement
     */
    public void actionPerformed(final java.awt.event.ActionEvent evt) {
        frame.getPanelCompVirtuelle().decoder();
    }
}