package tvouriot.jcode.gui;

import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;
import java.awt.*;

/** Classe permettant aux boutons de changer d'aspect lors du passage de la souris.
 */
public final class ButtonRollover implements MouseListener {
    /** Bouton dont l'aspect doit changer
     */    
    private JButton button;
    
    /** Constructeur
     *  @param b bouton
     */
    public ButtonRollover(JButton b) {
        button = b;
        button.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        button.setBorderPainted(false);
    }
    
    public void mouseReleased(final java.awt.event.MouseEvent p1) {
    }
    public void mouseEntered(final java.awt.event.MouseEvent p1) {
        if (button.isEnabled())
            button.setBorderPainted(true);
    }
    public void mouseClicked(final java.awt.event.MouseEvent p1) {
    }
    public void mousePressed(final java.awt.event.MouseEvent p1) {
    }
    public void mouseExited(final java.awt.event.MouseEvent p1) {
        if (button.isEnabled())
            button.setBorderPainted(false);
    }
}