package tvouriot.jcode.gui;

import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;
import java.awt.*;
import java.util.*;
import tvouriot.lib.gui.*;

/** Fentre <I>A propos ...</I>
 */
public final class DiaAbout extends JDialog {
    /** Constructeur
     *  @param fr fentre principale de l'application
     */
    public DiaAbout(JFrame fr) {
        super(fr,"A Propos de J-Code",true);
        this.setSize(320,210);
        this.setLocation(SwingTools.getPositionCentrale(fr,this));
        
        Container contentPane = this.getContentPane();
        JTextArea txt = new JTextArea();
        String s = "\nLogiciel montrant l'utilisation d'un code compression\n";
        s += "pour coder ou dcoder un texte.\n\n";
        s += "Auteur : VOURIOT Thierry\n";
        s += "Date : 10 septembre 2001\n";
        s += "Web : http://thierry.vouriot.free.fr\n";
        JLabel lblTitre = new JLabel("  J-Code v1.0");
        Font f1 = new Font("Arial",Font.BOLD,20);
        Font f2 = new Font("Arial",Font.PLAIN,12);
        Font f3 = new Font("Arial",Font.ITALIC,10);
        JPanel pnlAbout = new JPanel();
        JPanel pnlSystem = new JPanel();
        JTabbedPane tabs = new JTabbedPane();
        String properties[][] = new String[8][2];
        
        properties[0][0] = "java.version";
        properties[0][1] = System.getProperty("java.version");
        
        properties[1][0] = "java.vendor";
        properties[1][1] = System.getProperty("java.vendor");
        
        properties[2][0] = "java.vendor.url";
        properties[2][1] = System.getProperty("java.vendor.url");
        
        properties[3][0] = "java.home";
        properties[3][1] = System.getProperty("java.home");
        
        properties[4][0] = "os.name";
        properties[4][1] = System.getProperty("os.name");
        
        properties[5][0] = "os.arch";
        properties[5][1] = System.getProperty("os.arch");
        
        properties[6][0] = "os.version";
        properties[6][1] = System.getProperty("os.version");
        
        properties[7][0] = "user.name";
        properties[7][1] = System.getProperty("user.name");
        
        JTable table = new JTable(properties, new String[]{"",""});
        
        tabs.addTab("Infos",pnlAbout);
        tabs.addTab("System",pnlSystem);
        tabs.setFont(f3);
        
        lblTitre.setFont(f1);
        txt.setFont(f2);
        
        txt.setEditable(false);
        txt.setBackground(lblTitre.getBackground());
        txt.setText(s);
        
        pnlAbout.setLayout(new BorderLayout());
        pnlAbout.add(txt,BorderLayout.CENTER);
        pnlAbout.add(lblTitre,BorderLayout.NORTH);
        pnlAbout.add(new JPanel(),BorderLayout.WEST);
        pnlAbout.add(new JPanel(),BorderLayout.EAST);
        
        pnlSystem.setLayout(new BorderLayout());
        pnlSystem.add(new JScrollPane(table));
        
        contentPane.add(tabs);
        
        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                dispose();
            }
        });
        
        txt.addMouseListener(new MouseAdapter() {
            public void mouseClicked(final java.awt.event.MouseEvent p1) {
                dispose();
            }
        });
    }
}
