package tvouriot.jcode.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/** Barre d'outils.
 */
public final class MainToolBar extends JToolBar {
    /** Bouton <I>Quitter</I>
     */    
    protected ButtonExit cmdExit;
    /** Bouton <I>Ouvrir</I>
     */    
    protected ButtonOuvrir cmdOpen;
    /** Bouton <I>Sauvegarder</I>
     */    
    protected ButtonSave cmdSave;
    /** Bouton <I>Fermer</I>
     */    
    protected ButtonClose cmdClose;
    /** Bouton <I>Analyser</I>
     */    
    protected ButtonInitTable cmdInitTable;
    /** Bouton <I>Coder</I>
     */    
    protected ButtonCompresser cmdCompresser;
    /** Bouton <I>Dcoder</I>
     */    
    protected ButtonDecompresser cmdDecompresser;
    /** Bouton <I>A propos ...</I>
     */    
    protected ButtonAbout cmdAbout;
    
    /** Constructeur
     * @param fr fentre principale de l'application
     */
    protected MainToolBar(final FrmMain fr) {
        cmdExit = new ButtonExit(fr);
        cmdOpen = new ButtonOuvrir(fr);
        cmdSave = new ButtonSave(fr);
        cmdClose = new ButtonClose(fr);
        cmdInitTable = new ButtonInitTable(fr);
        cmdCompresser = new ButtonCompresser(fr);
        cmdDecompresser = new ButtonDecompresser(fr);
        cmdAbout = new ButtonAbout(fr);
        
        this.addSeparator();
        this.add(cmdOpen);
        this.add(cmdSave);
        this.add(cmdClose);
        this.addSeparator();
        this.add(cmdInitTable);
        this.add(cmdCompresser);
        this.add(cmdDecompresser);
        this.addSeparator();
        this.add(cmdExit);
        this.add(cmdAbout);
    }
}
